/* ---------------------------------------------------------- */
/* @(#) KR2.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Agentless Windows OS Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* WindowsSnmpMonitorStart */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RemoteWinOS        000000000000000000", 
  'WINDOWSSNMPMONITORSTART "&Subnode_Resource_Name" "&Host"
 "&Community"',
  "Begin Data Collection from a remote Windows endpoint system.",
  " ", 
  "KR2_SNMP_MONITORSTART_TASK", 
  "WindowsSnmpMonitorStart", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* WindowsSnmpMonitorStop */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RemoteWinOS        000000000000000000", 
  'WINDOWSSNMPMONITORSTOP
 "&KR2_MANAGED_SYSTEMS_SNMP.Subnode_Resource_Name"',
  "Stop Data Collection from a remote Windows endpoint system.",
  " ", 
  "KR2_SNMP_MONITORSTOP_TASK", 
  "WindowsSnmpMonitorStop", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_WMI    000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KR2_PROCESSOR.Pct_Processor_Time *GT 90) *AND (
 *VALUE KR2_PROCESSOR.Name *EQ _Total ) ) ",
"E",
"0",
"000300",
"*NONE",
"KR2_WMI_CPU_Util_High",
"Kr2:KR21169",
"NNN",
"ATOM=KR2PROCESS.NAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_WMI" ,
  "KR2_WMI_CPU_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_WMI    000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR2_LOGICAL_DISK.Pct_Free_Space *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR2_WMI_Disk_Util_High",
"Kr2:KR21170",
"NNN",
"ATOM=KR2WIN32PE.NAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_WMI" ,
  "KR2_WMI_Disk_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_WMI    000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR2_OPERATING_SYSTEM.Pct_Free_Virtual_Memory *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR2_WMI_Memory_Util_High",
"Kr2:KR23135",
"NNN",
"ATOM=KR2WIN32OP.NAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_WMI" ,
  "KR2_WMI_Memory_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_SNMP   000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KR2_NETWORK.Operational_Status *EQ down )  *OR (
 *VALUE KR2_NETWORK.Operational_Status *EQ testing ) )",
"E",
"0",
"000300",
"*NONE",
"KR2_SNMP_NIC_Status_Down",
"Kr2:KR21172",
"NNN",
"ATOM=KR2NICNAV.IFDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_SNMP" ,
  "KR2_SNMP_NIC_Status_Down" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_SNMP   000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF  *VALUE KR2_NETWORK.Operational_Status *EQ unknown",
"E",
"0",
"000300",
"*NONE",
"KR2_SNMP_NIC_Status_Unknown",
"Kr2:KR21172",
"NNN",
"ATOM=KR2NICNAV.IFDESCR;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_SNMP" ,
  "KR2_SNMP_NIC_Status_Unknown" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_SNMP   000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR2_MEMORY.Percentage_of_Available_Memory *LT 10.00",
"E",
"0",
"000300",
"*NONE",
"KR2_SNMP_Memory_Util_High",
"Kr2:KR23135",
"NNN",
"ATOM=KR2HRMEM.MEMDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_SNMP" ,
  "KR2_SNMP_Memory_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_SNMP   000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR2_DISK.Percentage_of_Available_Disk_Space *LT 10",
"E",
"0",
"000300",
"*NONE",
"KR2_SNMP_Disk_Util_High",
"Kr2:KR21180",
"NNN",
"ATOM=KR2DISK.FSYSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_SNMP" ,
  "KR2_SNMP_Disk_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr2:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RemoteWinOS_SNMP   000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090410000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR2_PROCESSOR_UTILIZATION_TOTAL.Average *GT 90",
"E",
"0",
"000300",
"*NONE",
"KR2_SNMP_CPU_Util_High",
"Kr2:KR21169",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RemoteWinOS_SNMP" ,
  "KR2_SNMP_CPU_Util_High" ,
  "Y" ,
  "1090410000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
